Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.interceptor
Class MethodFilterInterceptorUtil

    java.lang.Object
      com.opensymphony.xwork2.interceptor.MethodFilterInterceptorUtil

    public class MethodFilterInterceptorUtil

extends java.lang.Object

Utility class contains common methods used by `MethodFilterInterceptor`.

Author:
  tm_jee

Constructor Summary
`MethodFilterInterceptorUtil()`

Method Summary
`static boolean` | `applyMethod(java.util.Set<java.lang.String> excludeMethods, java.util.Set<java.lang.String> includeMethods, java.lang.String method)` Static method to decide if the specified `method` should be apply (not filtered) depending on the set of `excludeMethods` and `includeMethods`.
`static boolean` | `applyMethod(java.lang.String excludeMethods, java.lang.String includeMethods, java.lang.String method)` Same as `applyMethod(Set, Set, String)`, except that `excludeMethods` and `includeMethods` are supplied as comma separated string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodFilterInterceptorUtil

    public MethodFilterInterceptorUtil()

Method Detail

### applyMethod

    public static boolean applyMethod(java.util.Set<java.lang.String> excludeMethods,
                                      java.util.Set<java.lang.String> includeMethods,
                                      java.lang.String method)

  Static method to decide if the specified `method` should be apply (not filtered) depending on the set of `excludeMethods` and `includeMethods`.
  - `includeMethods` takes precedence over `excludeMethods`
  Note: Supports wildcard listings in includeMethods/excludeMethods

  Parameters:
    `excludeMethods` - list of methods to exclude.
    `includeMethods` - list of methods to include.
    `method` - the specified method to check
  Returns:
    `true` if the method should be applied.

### applyMethod

    public static boolean applyMethod(java.lang.String excludeMethods,
                                      java.lang.String includeMethods,
                                      java.lang.String method)

  Same as `applyMethod(Set, Set, String)`, except that `excludeMethods` and `includeMethods` are supplied as comma separated string.

  Parameters:
    `excludeMethods` - comma seperated string of methods to exclude.
    `includeMethods` - comma seperated string of methods to include.
    `method` - the specified method to check
  Returns:
    `true` if the method should be applied.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.